#ifndef HIGHSCORE_HEADER

#define HIGHSCORE_HEADER

#include <string>	// fr die benutzung von strings
#include <fstream>	// fr die arbeit mit dateien
#include <iostream>	// fr die ausgabe
#include <iomanip>	// um die Tabelle richtig auszugeben
using namespace std;

#define DATEINAME "game.hsc"
#define ANZAHL 10
#define STANDARTNAME ":)"
#define STANDARTPUNKTE ((anzahl-i)*10)

class CHighscore
{
public:
	CHighscore(string name="Highscore", string filename=DATEINAME, int anzahl=ANZAHL);
	~CHighscore();
	
	// ffentliche Funktionen
	void print_to_screen();
	bool addName(string name, int punkte);
	int getPunkte(int pos);
	string getName(int pos);
	int getMin(){return list[anzahl-1].punkte;};
	string scorename;

private:
	// Funktionen
	void daten_speichern();
	void daten_einlesen();
	void liste_erzeugen(int anz);
	void sortieren();

	struct strList
	{
		string name;
		int punkte;
	};

	// Variablen
	strList* list;
	int anzahl;
	string dateiname;
};



#endif